gi-xlib-2.0.14: xlib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Xlib.Structs.XImage

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype XImage = XImage (ManagedPtr XImage)

# Exported types

newtype XImage Source #

Memory-managed wrapper type.

Constructors

XImage (ManagedPtr XImage) |

#### Instances

Instances details

Eq XImage Source # |
Instance details Defined in GI.Xlib.Structs.XImage Methods (==) :: XImage -> XImage -> Bool Source # (/=) :: XImage -> XImage -> Bool Source #
BoxedPtr XImage Source # |
Instance details Defined in GI.Xlib.Structs.XImage Methods boxedPtrCopy :: XImage -> IO XImage Source # boxedPtrFree :: XImage -> IO () Source #
ManagedPtrNewtype XImage Source # |
Instance details Defined in GI.Xlib.Structs.XImage Methods toManagedPtr :: XImage -> ManagedPtr XImage Source #

# Methods